Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices.soap
Class VersionedSOAPFactory

`java.lang.Object
javax.xml.soap.SOAPFactory
oracle.webservices.soap.VersionedSOAPFactory`

All Implemented Interfaces:
  SOAPVersion

public abstract class VersionedSOAPFactory
extends SOAPFactory
implements SOAPVersion

VersionedSOAPFactory provides support for creating SOAPElements of different versions. The abstract class should be used as an interface by end users.

Field Summary

Fields inherited from interface oracle.webservices.soap.SOAPVersion
`SOAP_1_1, SOAP_1_2`

Constructor Summary
`VersionedSOAPFactory()`

Method Summary
`abstract Detail` | `createVersionedDetail(String version)` Creates a Detail for the specified version.
`abstract SOAPElement` | `createVersionedElement(Name name, String version)` Creates a SOAPElement for the specified version.
`abstract SOAPElement` | `createVersionedElement(String localName, String version)` Creates a SOAPElement for the specified version.
`abstract SOAPElement` | `createVersionedElement(String localName, String prefix, String uri, String version)` Creates a SOAPElement for the specified version.

Methods inherited from class javax.xml.soap.SOAPFactory
`createDetail, createElement, createElement, createElement, createName, createName, newInstance`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionedSOAPFactory

    public VersionedSOAPFactory()

Method Detail

### createVersionedDetail

    public abstract Detail createVersionedDetail(String version)
                                          throws SOAPException

  Creates a Detail for the specified version. If the version is unsupported, a SOAPException is thrown. Supported versions are 1.1 and 1.2
  Parameters:
    `version` - the version of SOAP to use. Can be oracle.webservices.soap.SOAPVersion.SOAP_1_1 and oracle.webservices.soap.SOAPVersion.SOAP_1_2
  Returns:
    a Detail for the proper version; never null.
  Throws:
    `SOAPException` - if version is not 1.1 or 1.2

### createVersionedElement

    public abstract SOAPElement createVersionedElement(Name name,
                                                       String version)
                                                throws SOAPException

  Creates a SOAPElement for the specified version. If the version is unsupported, a SOAPException is thrown. Supported versions are 1.1 and 1.2
  Parameters:
    `name` - the Name of the SOAPElement
    `version` - the version of SOAP to use. Can be oracle.webservices.soap.SOAPVersion.SOAP_1_1 and oracle.webservices.soap.SOAPVersion.SOAP_1_2
  Returns:
    a SOAPElement for the proper version; never null.
  Throws:
    `SOAPException` - if version is not 1.1 or 1.2

### createVersionedElement

    public abstract SOAPElement createVersionedElement(String localName,
                                                       String version)
                                                throws SOAPException

  Creates a SOAPElement for the specified version. If the version is unsupported, a SOAPException is thrown. Supported versions are 1.1 and 1.2
  Parameters:
    `localName` - the local name of the SOAPElement
    `version` - the version of SOAP to use. Can be oracle.webservices.soap.SOAPVersion.SOAP_1_1 and oracle.webservices.soap.SOAPVersion.SOAP_1_2
  Returns:
    a SOAPElement for the proper version; never null.
  Throws:
    `SOAPException` - if version is not 1.1 or 1.2

### createVersionedElement

    public abstract SOAPElement createVersionedElement(String localName,
                                                       String prefix,
                                                       String uri,
                                                       String version)
                                                throws SOAPException

  Creates a SOAPElement for the specified version. If the version is unsupported, a SOAPException is thrown. Supported versions are 1.1 and 1.2
  Parameters:
    `localName` - the local name of the SOAPElement
    `prefix` - the prefix of the SOAPElement
    `uri` - the uri of the SOAPElement
    `version` - the version of SOAP to use. Can be oracle.webservices.soap.SOAPVersion.SOAP_1_1 and oracle.webservices.soap.SOAPVersion.SOAP_1_2
  Returns:
    a SOAPMessage for the proper version; never null.
  Throws:
    `SOAPException` - if version is not 1.1 or 1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD